---
title: Kling Video Düzenleme | RunAPI
description: Eş zamansız bir Görev oluşturmak için video düzenleme uç noktasını kullanın.
url: https://runapi.ai/tr/docs/api/kling/edit-video.md
canonical: https://runapi.ai/tr/docs/api/kling/edit-video
locale: tr
---

> HTML sürümü: https://runapi.ai/tr/docs/api/kling/edit-video
> Ajanlar için site dizini: https://runapi.ai/llms.txt

# Kling Video Düzenleme

## Genel Bakış

Desteklenen bir modelle video düzenleme uç noktasını kullanın. Durumunu almak için döndürülen Görev Kimliğini kullanın ya da aşağıda belgelenen teslimatlar için callback_url sağlayın.

### Hızlı başlangıç

1. Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
2. Desteklenen bir model seçin ve gövdesi o modelin şemasıyla eşleşen bir POST isteği gönderin.
3. Döndürülen görev kimliğini saklayın, ardından bir terminal durumuna ulaşana kadar yoklama yapın ya da aşağıda belgelenen geri çağırmaları işleyin.

## Uç Nokta

POST /api/v1/kling/edit_video

Temel URL: https://runapi.ai

API sürümü: v1

Kimlik doğrulama: Authorization: Bearer YOUR_API_TOKEN

## Desteklenen modeller

Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.

- [kling-v3-omni-edit](https://runapi.ai/tr/models/kling/v3-omni-edit)
- [kling-v3-omni-reference](https://runapi.ai/tr/models/kling/v3-omni-reference)

## İstek şeması

Alanlar ve izin verilen değerler seçili modele göre değişir. Sağlandığında, callback_url aşağıda belgelenen Görev teslimatlarını alır.

### kling-v3-omni-edit

```json
{
  "aspect_ratio": {
    "description": "Çıktı en boy oranı; yalnızca kaynak içeren istekler auto gerektirir.",
    "enum": [
      "auto",
      "16:9",
      "9:16",
      "1:1"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "Asenkron bildirimler için webhook URL'si.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Saniye cinsinden çıktı süresi.",
    "enum": [
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10,
      11,
      12,
      13,
      14,
      15
    ],
    "type": "integer"
  },
  "enable_sound": {
    "default": false,
    "description": "Senkronize ses oluşturmayı etkinleştirin.",
    "type": "boolean"
  },
  "model": {
    "description": "Model tanımlayıcısı.",
    "required": true,
    "type": "string"
  },
  "output_resolution": {
    "default": "720p",
    "description": "Çıktı çözünürlüğü.",
    "enum": [
      "720p",
      "1080p",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Video açıklaması.",
    "length": true,
    "max": 2500,
    "min": 1,
    "required": true,
    "type": "string"
  },
  "reference_image_urls": {
    "description": "Sıralı referans resim URL'leri.",
    "items": {
      "type": "string"
    },
    "max_items": 4,
    "min_items": 1,
    "type": "array"
  },
  "source_task_id": {
    "description": "Tamamlanmış uyumlu görev kimliği; source_video_url ile birleştirilemez.",
    "type": "string"
  },
  "source_video_url": {
    "description": "Genel kaynak video URL'si; source_task_id ile birlikte kullanılamaz.",
    "type": "string"
  }
}
```

### kling-v3-omni-reference

```json
{
  "aspect_ratio": {
    "description": "Çıktı en boy oranı; yalnızca kaynak içeren istekler auto gerektirir.",
    "enum": [
      "auto",
      "16:9",
      "9:16",
      "1:1"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "Asenkron bildirimler için webhook URL'si.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Saniye cinsinden çıktı süresi.",
    "enum": [
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10,
      11,
      12,
      13,
      14,
      15
    ],
    "type": "integer"
  },
  "enable_sound": {
    "default": false,
    "description": "Senkronize ses oluşturmayı etkinleştirin; kaynak video istekleri false gerektir.",
    "type": "boolean"
  },
  "model": {
    "description": "Model tanımlayıcısı.",
    "required": true,
    "type": "string"
  },
  "output_resolution": {
    "default": "720p",
    "description": "Çıktı çözünürlüğü.",
    "enum": [
      "720p",
      "1080p",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Video açıklaması.",
    "length": true,
    "max": 2500,
    "min": 1,
    "required": true,
    "type": "string"
  },
  "reference_image_urls": {
    "description": "Sıralı referans resim URL'leri.",
    "items": {
      "type": "string"
    },
    "max_items": 4,
    "min_items": 1,
    "type": "array"
  },
  "source_task_id": {
    "description": "Tamamlanmış uyumlu görev kimliği; source_video_url ile birleştirilemez.",
    "type": "string"
  },
  "source_video_url": {
    "description": "Genel kaynak video URL'si; source_task_id ile birlikte kullanılamaz.",
    "type": "string"
  }
}
```

#### Koşullu kurallar

Bu gereksinimler, listelenen tüm koşulların eşleştiği durumlarda uygulanır.

- **Şu durumlarda**: `model` = `kling-v3-omni-edit`, `source_task_id` = `{"present" => false}`, `source_video_url` = `{"present" => false}`
- **Şu durumlarda**: `model` = `kling-v3-omni-edit`, `source_video_url` = `{"present" => true}`; **Kabul edilmez**: `source_task_id`
- **Şu durumlarda**: `model` = `kling-v3-omni-edit`, `source_task_id` = `{"present" => true}`; **Kabul edilmez**: `source_video_url`
- **Şu durumlarda**: `model` = `kling-v3-omni-edit`, `reference_image_urls` = `{"present" => false}`, `source_video_url` = `{"present" => true}`; **Gerekli**: `aspect_ratio`
- **Şu durumlarda**: `model` = `kling-v3-omni-edit`, `reference_image_urls` = `{"present" => false}`, `source_task_id` = `{"present" => true}`; **Gerekli**: `aspect_ratio`
- **Şu durumlarda**: `model` = `kling-v3-omni-edit`, `reference_image_urls` = `{"present" => true}`, `source_video_url` = `{"present" => true}`; **Gerekli**: `aspect_ratio`
- **Şu durumlarda**: `model` = `kling-v3-omni-edit`, `reference_image_urls` = `{"present" => true}`, `source_task_id` = `{"present" => true}`; **Gerekli**: `aspect_ratio`
- **Şu durumlarda**: `model` = `kling-v3-omni-reference`, `source_task_id` = `{"present" => false}`, `source_video_url` = `{"present" => false}`
- **Şu durumlarda**: `model` = `kling-v3-omni-reference`, `source_video_url` = `{"present" => true}`; **Kabul edilmez**: `source_task_id`
- **Şu durumlarda**: `model` = `kling-v3-omni-reference`, `source_task_id` = `{"present" => true}`; **Kabul edilmez**: `source_video_url`
- **Şu durumlarda**: `model` = `kling-v3-omni-reference`, `reference_image_urls` = `{"present" => false}`, `source_video_url` = `{"present" => true}`; **Gerekli**: `aspect_ratio`
- **Şu durumlarda**: `model` = `kling-v3-omni-reference`, `reference_image_urls` = `{"present" => false}`, `source_task_id` = `{"present" => true}`; **Gerekli**: `aspect_ratio`
- **Şu durumlarda**: `model` = `kling-v3-omni-reference`, `reference_image_urls` = `{"present" => true}`, `source_video_url` = `{"present" => true}`; **Gerekli**: `aspect_ratio`
- **Şu durumlarda**: `model` = `kling-v3-omni-reference`, `reference_image_urls` = `{"present" => true}`, `source_task_id` = `{"present" => true}`; **Gerekli**: `aspect_ratio`

## Kabul oluştur

HTTP 202 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Yoklama işleniyor

HTTP 200 - GET /api/v1/kling/edit_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Yoklama tamamlandı

HTTP 200 - GET /api/v1/kling/edit_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Yoklama başarısız oldu

HTTP 200 - GET /api/v1/kling/edit_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Müşteri geri çağırması: tamamlandı

HTTP 200 - POST callback_url

### Yanıt şeması

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Müşteri geri çağırması: başarısız oldu

HTTP 200 - POST callback_url

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Hatalar

HTTP 401 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Authentication required"
}
```

## Hatalar

HTTP 401 - GET /api/v1/kling/edit_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Authentication required"
}
```

## Hatalar

HTTP 400 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir hata mesajı.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir doğrulama özeti.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Herkese açık istek alanına göre anahtarlanan doğrulama mesajları; her alan için insan tarafından okunabilir dizelerden oluşan bir dizi içerir.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Yanıt örneği

```json
{
  "error": "model must be one of: kling-v3-omni-edit, kling-v3-omni-reference"
}
```

## Hatalar

HTTP 402 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Insufficient balance"
}
```

## Hatalar

HTTP 429 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "API key credit limit exceeded"
}
```

## Hatalar

HTTP 409 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Hatalar

HTTP 429 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Hatalar

HTTP 503 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Hatalar

HTTP 504 - POST /api/v1/kling/edit_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request timed out"
}
```

## Hatalar

HTTP 404 - GET /api/v1/kling/edit_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## Oluşturulan Kod Örnekleri

Doğrudan cURL kullanın veya diliniz için bir SDK yükleyin. Her örnek, bu başvuruda gösterilen doğrulanmış isteği gönderir.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/kling/edit_video \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"kling-v3-omni-edit","prompt":"Turn the source into a hand-painted watercolor scene.","source_video_url":"https://cdn.runapi.ai/public/samples/video.mp4","reference_image_urls":["https://cdn.runapi.ai/public/samples/image.jpg"],"duration_seconds":8,"output_resolution":"1080p","enable_sound":true,"aspect_ratio":"16:9"}'
```

### javascript

#### Yükle

```bash
npm install @runapi.ai/kling
```

```javascript
import { KlingClient } from "@runapi.ai/kling";

const client = new KlingClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.editVideo.create({
  "model": "kling-v3-omni-edit",
  "prompt": "Turn the source into a hand-painted watercolor scene.",
  "source_video_url": "https://cdn.runapi.ai/public/samples/video.mp4",
  "reference_image_urls": [
    "https://cdn.runapi.ai/public/samples/image.jpg"
  ],
  "duration_seconds": 8,
  "output_resolution": "1080p",
  "enable_sound": true,
  "aspect_ratio": "16:9"
});
```

### python

#### Yükle

```bash
pip install runapi-kling
```

```python
import os
from runapi.kling import KlingClient

client = KlingClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.edit_video.create(
  model="kling-v3-omni-edit",
  prompt="Turn the source into a hand-painted watercolor scene.",
  source_video_url="https://cdn.runapi.ai/public/samples/video.mp4",
  reference_image_urls=["https://cdn.runapi.ai/public/samples/image.jpg"],
  duration_seconds=8,
  output_resolution="1080p",
  enable_sound=True,
  aspect_ratio="16:9"
)
```

### go

#### Yükle

```bash
go get github.com/runapi-ai/kling-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  kling "github.com/runapi-ai/kling-sdk/go/kling"
)

func main() {
  client, err := kling.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.EditVideo.Create(context.Background(), kling.EditVideoParams{
    Model: kling.EditVideoModel("kling-v3-omni-edit"),
    Prompt: "Turn the source into a hand-painted watercolor scene.",
    SourceVideoURL: "https://cdn.runapi.ai/public/samples/video.mp4",
    ReferenceImageURLs: []string{"https://cdn.runapi.ai/public/samples/image.jpg"},
    DurationSeconds: 8,
    OutputResolution: "1080p",
    EnableSound: func(value bool) *bool { return &value }(true),
    AspectRatio: "16:9",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### Yükle

```bash
gem install runapi-kling
```

```ruby
require "runapi/kling"

client = RunApi::Kling::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.edit_video.create(
  model: "kling-v3-omni-edit",
  prompt: "Turn the source into a hand-painted watercolor scene.",
  source_video_url: "https://cdn.runapi.ai/public/samples/video.mp4",
  reference_image_urls: ["https://cdn.runapi.ai/public/samples/image.jpg"],
  duration_seconds: 8,
  output_resolution: "1080p",
  enable_sound: true,
  aspect_ratio: "16:9"
)
```

### java

#### Yükle

```kotlin
implementation("ai.runapi:runapi-kling")
```

```java
import ai.runapi.kling.KlingClient;
import ai.runapi.kling.types.EditVideoParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    KlingClient client = KlingClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.editVideo().create(
        EditVideoParams.builder()
        .model("kling-v3-omni-edit")
        .prompt("Turn the source into a hand-painted watercolor scene.")
        .sourceVideoUrl("https://cdn.runapi.ai/public/samples/video.mp4")
        .referenceImageUrls(java.util.Arrays.asList("https://cdn.runapi.ai/public/samples/image.jpg"))
        .durationSeconds(8)
        .outputResolution("1080p")
        .enableSound(true)
        .aspectRatio("16:9")
            .build()
    );
  }
}
```

### php

#### Yükle

```bash
composer require runapi-ai/kling
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Kling\KlingClient;

$client = new KlingClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->editVideo->create([
  "model" => "kling-v3-omni-edit",
  "prompt" => "Turn the source into a hand-painted watercolor scene.",
  "source_video_url" => "https://cdn.runapi.ai/public/samples/video.mp4",
  "reference_image_urls" => ["https://cdn.runapi.ai/public/samples/image.jpg"],
  "duration_seconds" => 8,
  "output_resolution" => "1080p",
  "enable_sound" => true,
  "aspect_ratio" => "16:9"
]);
```

## İlgili Kılavuzlar

- [Kimlik doğrulama](https://runapi.ai/tr/docs/guides/authentication.md)
- [Hızlı başlangıç](https://runapi.ai/tr/docs/guides/task-api/quickstart.md)

---

## RunAPI hakkında daha fazlası

- [Ana sayfa](https://runapi.ai/tr/.md)
- [Model Kataloğu](https://runapi.ai/tr/models.md)
- [Fiyatlandırma](https://runapi.ai/tr/pricing.md)
- [Sağlayıcılar](https://runapi.ai/tr/models)
- [Dokümantasyon](https://runapi.ai/tr/docs/guides)
- [SDK'lar](https://runapi.ai/tr/sdk.md)
- [CLI](https://runapi.ai/tr/cli.md)
- [MCP Sunucusu](https://runapi.ai/tr/mcp.md)
- [Claude Code ve Cursor](https://runapi.ai/tr/claude-code-vs-cursor.md)
- [Cursor API kurulumu](https://runapi.ai/tr/cursor-api-setup.md)
- [RunAPI ve OpenRouter](https://runapi.ai/tr/openrouter-alternative.md)
- [Kurumsal](https://runapi.ai/tr/contact.md)
- [İletişim](https://runapi.ai/tr/contact.md)
- [Şartlar](https://runapi.ai/tr/terms.md)
- [Gizlilik](https://runapi.ai/tr/privacy.md)
- [Ajanlar için site dizini](https://runapi.ai/llms.txt)

İletişim: contact@runapi.ai

## Yapılandırılmış veriler

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/tr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/tricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "TechArticle",
    "headline": "Kling Video Düzenleme",
    "description": "Eş zamansız bir Görev oluşturmak için video düzenleme uç noktasını kullanın.",
    "url": "https://runapi.ai/tr/docs/api/kling/edit-video",
    "mainEntityOfPage": "https://runapi.ai/tr/docs/api/kling/edit-video"
  }
]
```
